Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class DistributedManagementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.ManagementException
                      weblogic.management.DistributedManagementException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class DistributedManagementException
extends ManagementException

This exception wraps a set of exceptions thrown when trying to update attributes over multiple managed servers in a WebLogic Domain.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedManagementException(List exceptionsArg)` The argument to this constructor must contain 0 or more DistributedUpdateException instances, or an java.lang.IllegalArgumentException will be thrown.

Method Summary
`List` | `getExceptions()` This is guaranteed to return a list containing 0 or more DistributedUpdateException instances.
`String` | `getMessage()` Gets the message attribute of the DistributedManagementException object
`void` | `printStackTrace()` Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the standard error.
`void` | `printStackTrace(PrintStream stream)` Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream
`void` | `printStackTrace(PrintWriter writer)` Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream

Methods inherited from class weblogic.management.ManagementException
`unWrapExceptions`

Methods inherited from class weblogic.utils.NestedException
`getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedManagementException

    public DistributedManagementException(List exceptionsArg)

  The argument to this constructor must contain 0 or more DistributedUpdateException instances, or an java.lang.IllegalArgumentException will be thrown.

Method Detail

### getExceptions

    public List getExceptions()

  This is guaranteed to return a list containing 0 or more DistributedUpdateException instances.

  Returns:
    The exceptions value

### getMessage

    public String getMessage()

  Gets the message attribute of the DistributedManagementException object

  Returns:
    The message value

### printStackTrace

    public void printStackTrace()

  Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the standard error.

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream

  Parameters:
    `stream` - where to print the stack trace.

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream

  Parameters:
    `writer` - where to print the stack trace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD